import { InternalMessage, SfuEvent, State, UserNickname } from "./constants";
import { Room } from "./room";
import { PrefixFunction, Verbosity } from "./logger";
export declare class Sfu {
    #private;
    constructor(logLevel?: Verbosity, prefix?: PrefixFunction);
    connect(options: {
        url: string;
        timeout?: number;
        nickname: UserNickname;
        logGroup: string;
    }): Promise<void>;
    createRoom(options: {
        name: string;
        pin: string;
    }): Room;
    disconnect(): void;
    room(): Room;
    nickname(): string;
    state(): State;
    on(event: SfuEvent, callback: (arg0: InternalMessage) => void): Sfu;
    off(event: SfuEvent, callback: (arg0: InternalMessage) => void): Sfu;
}
